summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2011-03-31 20:21:13 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2011-03-31 20:21:13 +0200
commitf4e50548b0d41f5b4e6faae3ddc7283dd1a5dd6c (patch)
tree50b3bae39301c2ef89bbbabdb843a62d679e034e /scripts
parentc2bd3a43342e37a05a97e12581dd2bd52993877a (diff)
I am to tupid for git, today.
Revert "Revert "fix conflict, autoseect libgcj"" This reverts commit c2bd3a43342e37a05a97e12581dd2bd52993877a.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/reloc.sh6
-rw-r--r--scripts/scan-pkgs.sh8
-rw-r--r--scripts/scan-tools.sh4
-rwxr-xr-xscripts/sha256sum11
4 files changed, 25 insertions, 4 deletions
diff --git a/scripts/reloc.sh b/scripts/reloc.sh
index f7a0a1e3b..59323612f 100755
--- a/scripts/reloc.sh
+++ b/scripts/reloc.sh
@@ -1,10 +1,11 @@
#!/usr/bin/env bash
# execute this after relocation of adk directory
-olddir=$(grep "^TOPDIR" prereq.mk |cut -d '=' -f 2)
+olddir=$(grep "^TOPDIR" prereq.mk 2>/dev/null |cut -d '=' -f 2)
newdir=$(pwd)
-if [ "$olddir" != "$newdir" ];then
+if [ ! -z $olddir ];then
+ if [ "$olddir" != "$newdir" ];then
echo "adk directory relocated!"
echo "old directory: $olddir"
echo "new directory: $newdir"
@@ -13,4 +14,5 @@ if [ "$olddir" != "$newdir" ];then
sed -i -e "s#$olddir#$newdir#g" $(find target_*/scripts -type f|xargs)
sed -i -e "s#$olddir#$newdir#" target_*/etc/ipkg.conf
sed -i -e "s#$olddir#$newdir#" prereq.mk
+ fi
fi
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 36f861d67..2faa334b6 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -66,6 +66,7 @@ if [[ -n $ADK_PACKAGE_GPSD ]]; then
fi
if [[ -n $ADK_PACKAGE_FIREFOX ]]; then
+ NEED_YASM="$NEED_YASM firefox"
NEED_LIBIDL="$NEED_LIBIDL firefox"
NEED_PYTHON="$NEED_PYTHON firefox"
fi
@@ -332,6 +333,13 @@ if [[ -n $NEED_FLEX ]]; then
fi
fi
+if [[ -n $NEED_YASM ]]; then
+ if ! which yasm >/dev/null 2>&1; then
+ echo >&2 You need yasm to build $NEED_YASM
+ out=1
+ fi
+fi
+
if [[ -n $NEED_XSLTPROC ]]; then
if ! which xsltproc >/dev/null 2>&1; then
echo >&2 You need xsltproc to build $NEED_XSLTPROC
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 7d6d73e53..8834940c7 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -112,8 +112,8 @@ if ! which gzip >/dev/null 2>&1; then
out=1
fi
-if ! which lzma >/dev/null 2>&1; then
- echo You must install lzma to continue.
+if ! which lzma >/dev/null 2>&1 && ! which xz >/dev/null 2>&1; then
+ echo You must install lzma or xz-utils to continue.
echo
out=1
fi
diff --git a/scripts/sha256sum b/scripts/sha256sum
new file mode 100755
index 000000000..da34d9113
--- /dev/null
+++ b/scripts/sha256sum
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+# This file is part of the OpenADK project. OpenADK is copyrighted
+# material, please see the LICENCE file in the top-level directory.
+
+if [ -x /usr/bin/sha256sum ]; then
+ /usr/bin/sha256sum "$@"
+else
+ tmp=$(mktemp -t yyy)
+ cat - > $tmp
+ shasum -a 256 "$@" $tmp
+fi